Package org.apache.velocity.util.introspection

# Class Info

java.lang.Object
org.apache.velocity.util.introspection.Info

Direct Known Subclasses:
  `InvalidReferenceInfo`

public class Info extends Object
Little class to carry in info such as template name, line and column for information error reporting from the uberspector implementations

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Constructor Summary

Constructors
Constructor
Description
`Info(String source, int line, int column)`
`Info(Node node)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
`int`
`getLine()`
`String`
`getTemplateName()`
`String`
`toString()`
Formats a textual representation of this object as `SOURCE [line X, column Y]`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Info

public Info(String source, int line, int column)

Parameters:
  `source` - Usually a template name.
  `line` - The line number from `source`.
  `column` - The column number from `source`.

### Info

public Info(Node node)

## Method Details

### getTemplateName

public String getTemplateName()

Returns:
  The template name.

### getLine

public int getLine()

Returns:
  The line number.

### getColumn

public int getColumn()

Returns:
  The column number.

### toString

public String toString()
Formats a textual representation of this object as `SOURCE [line X, column Y]`.

Overrides:
  `toString` in class `Object`
Returns:
  String representing this object.
Since:
  1.5